Skip to main content
`Ctrl`+`K`

# PetscClassRegLogDestroy

Deprecated.

## Synopsis

    PETSC_DEPRECATED_FUNCTION(3, 20, 0, "nothing", "PetscClassRegLog is no longer used.") static inline PetscErrorCode PetscClassRegLogDestroy(PetscClassRegLog c)

## Note

Registration data for logging is now controlled by `PetscLogState`.

## See Also

Profiling

## Level

deprecated

## Location

include/petsc/private/logimpldeprecated.h

Index of all Log routines
Table of Contents for all manual pages
Index of all manual pages